org.gnome.gtk

## Class Arrow

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Widget
        - - org.gnome.gtk.Misc
          - - org.gnome.gtk.Arrow

-     public class Arrow
      extends Misc

  Arrow is a widget to draw simple arrows pointing to up, down, left, or right. Its style can be either bevelled inwards, bevelled outwards, sunken or raised.
  Since:
    4.0.10
  Author:
    Serkan Kaba, Andrew Cowie

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Widget

      `Widget.ButtonPressEvent, Widget.ButtonReleaseEvent, Widget.Destroy, Widget.Draw, Widget.EnterNotifyEvent, Widget.FocusInEvent, Widget.FocusOutEvent, Widget.Hide, Widget.KeyPressEvent, Widget.KeyReleaseEvent, Widget.LeaveNotifyEvent, Widget.MapEvent, Widget.MotionNotifyEvent, Widget.PopupMenu, Widget.ScrollEvent, Widget.SizeAllocate, Widget.UnmapEvent, Widget.VisibilityNotifyEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Arrow(ArrowType direction, ShadowType type)` Create a new Arrow widget with given direction and shadow type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getArrowScaling()` Returns amount of spaced used by arrow in the widget.
    `ArrowType` | `getArrowType()` Returns the direction of Arrow.
    `ShadowType` | `getShadowType()` Returns the shadow type of Arrow.
    `void` | `setArrowType(ArrowType direction)` Sets the direction to one of `UP`, `DOWN`, `LEFT`, `RIGHT`.
    `void` | `setShadowType(ShadowType type)` Sets the shadow type to one of `IN`, `OUT`, `ETCHED_IN` or `ETCHED_OUT`.

    - ### Methods inherited from class org.gnome.gtk.Misc

      `getAlignmentX, getAlignmentY, getPaddingX, getPaddingY, setAlignment, setPadding`

    - ### Methods inherited from class org.gnome.gtk.Widget

      `activate, addEvents, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, destroy, getAllocatedHeight, getAllocatedWidth, getAllocation, getCanDefault, getCanFocus, getHasFocus, getName, getParent, getPreferredHeightForWidthMinimum, getPreferredHeightForWidthNatural, getPreferredHeightMinimum, getPreferredHeightNatural, getPreferredWidthForHeightMinimum, getPreferredWidthForHeightNatural, getPreferredWidthMinimum, getPreferredWidthNatural, getRequestMode, getRequisition, getSensitive, getStyleContext, getToplevel, getWindow, grabAdd, grabDefault, grabFocus, grabRemove, hide, isSensitive, overrideBackground, overrideColor, overrideFont, queueDraw, queueDrawArea, realize, setAlignHorizontal, setAlignVertical, setCanDefault, setCanFocus, setEvents, setExpandHorizontal, setExpandVertical, setName, setSensitive, setSizeRequest, setTooltipMarkup, setTooltipText, show, showAll`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Arrow

          public Arrow(ArrowType direction,
               ShadowType type)

      Create a new Arrow widget with given direction and shadow type.
      Since:
        4.0.10

  - ### Method Detail

    - #### getArrowScaling

          public float getArrowScaling()

      Returns amount of spaced used by arrow in the widget. This is the arrow-scaling style property. Values will be in the range of `0.0` to `1.0`. Its default is `0.7`, though really, it's actual value will entirely be up to the theme engine.
      Since:
        4.0.10

    - #### getArrowType

          public ArrowType getArrowType()

      Returns the direction of Arrow. See `setArrowType()` for possible values.
      Since:
        4.0.10

    - #### getShadowType

          public ShadowType getShadowType()

      Returns the shadow type of Arrow. See `setShadowType()` for possible values.
      Since:
        4.0.10

    - #### setArrowType

          public void setArrowType(ArrowType direction)

      Sets the direction to one of `UP`, `DOWN`, `LEFT`, `RIGHT`. There's also a special mode, `NONE` which is an Arrow Widget but with no graphic presently drawn on it.

      The default is `RIGHT`.

      Since:
        4.0.10

    - #### setShadowType

          public void setShadowType(ShadowType type)

      Sets the shadow type to one of `IN`, `OUT`, `ETCHED_IN` or `ETCHED_OUT`.

      The default is `OUT`.

      Since:
        4.0.10